/*

  The Kitchen - Jaime Vives Piqueres 2004-2005

  Entry for the POVCOMP 2004

  i_wallclock.inc : a kitchen wall clock

*/

#declare kitchen_clock=
union{
 torus{9,1 rotate 90*x
  texture{t_white_plastic}
 }
 cylinder{0,.1*z,9.9 translate 0.9*z
  texture{t_wcboard}
 }
 cylinder{-.1*z,1*z,.5 texture{Gold_Metal finish{ambient 0}}}
 sphere{0,.5 texture{Gold_Metal finish{ambient 0}} translate -.1*z}
 union{
  cylinder{0,3.5*y,.3}
  sphere{0,.3 translate 3.5*y}
  texture{t_black_plastic}
  scale .25*z
  rotate -(1.6*360/12)*z
 }
 union{
  cylinder{0,5*y,.25}
  sphere{0,.25 translate 5*y}
  texture{t_black_plastic}
  scale .25*z
  rotate (6*360/12)*z
 }
 union{
  cylinder{0,6*y,.15}
  sphere{0,.15 translate 6*y}
  texture{t_red_plastic}
  scale .25*z
  rotate (1*360/12)*z
 }
 #if (use_glass)
 difference{
  sphere{0,1}
  sphere{0,.99}
  scale <9,9,3>
  texture{Glass3}
 }
 #end
}
