/*

  The Kitchen - Jaime Vives Piqueres 2004-2005

  Entry for the POVCOMP 2004

  i_cereals.inc : cereals on the bowl with milk

*/

#declare icer=0;
#declare ncer=150;
#declare r_cer=seed(239);
#declare pov_cereals=
union{
#while (icer<ncer)
 #declare wo=int(rand(r_cer)*4.999);
 object{
 #switch (wo)
  #case (0)
   torus{1,.25}
   #break
  #case (1)
   sphere{0,1}
   #break
  #range (2,4)
   height_field{function 32,32{pigment{wrinkles translate 100*rand(r_cer)}}
   scale <2,.5,2>
   }
   #break
 #end
  scale .5
  texture{
   pigment{rgb <rand(r_cer),rand(r_cer),rand(r_cer)>}
   #if (use_textures)
   finish{Glossy}
   #end
  }
  translate (-.5-5*rand(r_cer))*z
  translate -.5*rand(r_cer)*y
  rotate 360*rand(r_cer)*y
 }
 #declare icer=icer+1;
#end
}

