/*

  The Kitchen - Jaime Vives Piqueres 2004-2005

  Entry for the POVCOMP 2004

  i_plates.inc : lathe plates

*/

#macro plato(sc,rnd)

#local plato_base=
lathe{
 cubic_spline
 11
 < 0.0,-0.5>
 < 0.0, 0.0>
 < 6.5, 0.0>
 < 6.6, 0.1>
 < 6.7, 0.4>
 <10.0, 1.5>
 <10.0, 1.8>
 < 6.7, 0.7>
 < 6.5, 0.3>
 < 0.0, 0.3>
 < 0.0, 0.0>
}

#local t_tile=
texture{
 pigment{
  cylindrical
  color_map{
   [0.0 White]
   [0.05 White]
   [0.05 NavyBlue]
   [0.1 NavyBlue]
   [0.1 White]
   [1.0 White]
  }
  scale 10
 }
 normal{bumps .1 scale 4}
 finish{Phong_Shiny reflection .3}
}

object{plato_base
 texture{t_tile translate 100*rand(rnd)*y}
 scale sc
}

#end
